Package nl.tudelft.simulation.examples.dsol.terminal

# Class QC

java.lang.Object
org.djutils.event.EventProducer
nl.tudelft.simulation.examples.dsol.terminal.IntResource<Double,​Double,​SimTimeDouble>
nl.tudelft.simulation.examples.dsol.terminal.QC

All Implemented Interfaces:
  `Serializable`, `EventProducerInterface`

    public class QC
    extends IntResource<Double,​Double,​SimTimeDouble>

The QCs modeled as resources.

Copyright (c) 2002-2020 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Author:
  Peter Jacobs, Alexander Verbraeck
See Also:
  Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class nl.tudelft.simulation.examples.dsol.terminal.IntResource

`IntResource.Request<A extends Comparable<A> & Serializable,​R extends Number & Comparable<R>,​T extends SimTime<A,​R,​T>>, IntResource.RequestComparator`

## Field Summary

### Fields inherited from class nl.tudelft.simulation.examples.dsol.terminal.IntResource

`claimedCapacity, counter, DEFAULT_REQUEST_PRIORITY, description, MAX_REQUEST_PRIORITY, MIN_REQUEST_PRIORITY, requests, RESOURCE_REQUESTED_QUEUE_LENGTH, simulator, UTILIZATION_EVENT`

### Fields inherited from class org.djutils.event.EventProducer

`listeners`

### Fields inherited from interface org.djutils.event.EventProducerInterface

`FIRST_POSITION, LAST_POSITION`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`QC​(DEVSSimulatorInterface.TimeDouble simulator, String description, long capacity, DistContinuous qcTime)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`double` | `drawDelay()` |

### Methods inherited from class nl.tudelft.simulation.examples.dsol.terminal.IntResource

`getAvailableCapacity, getCapacity, getClaimedCapacity, getQueueLength, getSourceId, releaseCapacity, requestCapacity, requestCapacity, setCapacity, toString`

### Methods inherited from class org.djutils.event.EventProducer

`addListener, addListener, addListener, addListener, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, getEventTypesWithListeners, hasListeners, numberOfListeners, removeAllListeners, removeAllListeners, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### QC

public QC​(DEVSSimulatorInterface.TimeDouble simulator, String description, long capacity, DistContinuous qcTime)

Parameters:
  `simulator` - DEVSSimulatorInterface.TimeDouble; the simulator
  `description` - String; the description
  `capacity` - long; the capacity
  `qcTime` - DistContinuous; QC time delay

## Method Details

### drawDelay

public double drawDelay()

Returns:
  the QC handling time